> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/diagnostic/archive-create/{deviceId} > Create a device debug archive ## OpenAPI ````json POST /v1/diagnostic/archive-create/{deviceId} { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/diagnostic/archive-create/{deviceId}": { "post": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "deviceId", "in": "path", "required": true, "description": "Valid Provisioned device ID", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 }, "example": 1000000 } ], "requestBody": { "required": true, "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DiagnosticArchiveCreateDeviceIdPostRequest" } } } }, "responses": { "201": { "description": "Created", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DiagnosticArchiveCreateDeviceIdPostResponse" } } } } }, "description": "Create a device debug archive" } } }, "components": { "schemas": { "v1DiagnosticArchiveCreateDeviceIdPostRequest": { "type": "object", "properties": { "description": { "type": "string", "example": "archive requested to debug tenant A problem in device B", "description": "Description of the requested archive" } }, "additionalProperties": false }, "v1DiagnosticArchiveCreateDeviceIdPostResponse": { "type": "object", "properties": { "archiveId": { "type": "integer", "format": "int64", "example": 1000000, "description": "Unique identifier for a specific archive" } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````